## avbin 7

=== Makefile ===
# $Id: Makefile 18 2008-04-13 06:18:31Z Alex.Holkner $

CFLAGS += -DAVBIN_VERSION=$(AVBIN_VERSION) \
          -DFFMPEG_REVISION=$(FFMPEG_REVISION)

CC = gcc
LD = ld
BUILDDIR = build
OUTDIR = dist/$(PLATFORM)

OBJNAME = $(BUILDDIR)/avbin.o

INCLUDE_DIRS = -I include \
               -I $(FFMPEG)

include Makefile.$(PLATFORM)

all : $(LIBNAME)
	ln -sf $(LIBNAME) $(LINKNAME)

$(OBJNAME) : src/avbin.c include/avbin.h $(BUILDDIR)
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) -o $@ $<

$(BUILDDIR) :
	mkdir -p $(BUILDDIR)

$(OUTDIR) :
	mkdir -p $(OUTDIR)

clean : 
	rm -f $(OBJNAME)
	rm -f $(LINKNAME)
	rm -f $(LIBNAME)

=== debian/changelog ===
avbin (7-5) unstable; urgency=medium

  * QA upload.

  [ Andreas Cadhalpu ]
  * debian/patches/libav.patch: Fix #includes. (Closes: #793131)

  [ Sebastian Ramacher ]
  * debian/build: Use pkg-config to check for libraries.
  * debian/control:
    - Add pkg-config to B-D.
    - Bump Standards-Version to 3.9.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Jul 2015 19:00:03 +0200

avbin (7-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Switch to 3.0 (quilt).
    - Changes to src/avbin.c are now in debian/patches/libav.patch
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes required.
    - Bump debhelper to >= 9.
    - Mark libavbin0 as M-A: same.
  * debian/compat: Bump to 9.
  * debian/*.install: Install from M-A locations.
  * debian/copyright: Fix copyright-refers-to-symlink-licences.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 May 2014 11:09:19 +0200

avbin (7-3) experimental; urgency=low

  * Build against Libav 10 (Closes: #739191)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Mar 2014 23:57:55 +0000

avbin (7-2) unstable; urgency=low

  * Orphaning package.
  * Setting Maintainer to the Debian QA Group.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Mar 2014 23:27:30 +0000

avbin (7-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Separate upstream's and Debian's build system. Running targets in
    upstream's Makefile causes build failures. (Closes: #721164)
    + Move Debian's build system to debian/build and invoke dh with
      --sourcedirectory=debian/build.
    + Fix some warnings in Debian's build system:
      - configure.ac: fix deprecated call of AM_INIT.
      - Makefile.am: move -I and -D to CPPFLAGS. INCLUDES is deprecated and -D
        is supposed to be in CPPFLAGS, not in CFLAGS.
    + debian/rules: Use dh-autoreconf to generate the build system and get rid
      of the manual removal of an incomplete list of files generated by the
      build system.
    + debian/control: Add dh-autoreconf to Build-Depends.
  * debian/control: Remove unnecessary dependency on ffmpeg. (Closes: #721160)
  * src/avbin.c: Port to libav 9 API.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Sep 2013 14:50:27 +0200

avbin (7-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Replace deprecated dh --after and dh --before calls with overrides
      (Closes: #666284).
    - Remove m4 to be able to build twice.
  * debian/control: Bump debhelper Buil-Dep to 7.0.50~ for overrides support.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sun, 08 Apr 2012 19:22:38 +0200

avbin (7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove usage of deprecated APIs to work with Libav >= 0.7. Thanks to
    Reinhard Tartler for the first part of this. (Closes: #632133)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 Mar 2012 18:15:31 +0000

avbin (7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * port to new libavutil50 log API. (Closes: #591516)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Feb 2011 20:35:54 +0100

avbin (7-1) unstable; urgency=low

  [ Andrew Straw ]
  * Initial packaging. (Closes: #523809)

  [ Matthew Johnson ]
  * Lintian tidyups
  * Install header and docs
  * Add watch file
  * Fix clean target for double-builds 

 -- Matthew Johnson <mjj29@debian.org>  Mon, 04 May 2009 00:24:42 +0100

=== debian/control ===
Source: avbin
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: utils
Priority: extra
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 autoconf,
 automake,
 libtool,
 libavutil-dev (>= 6:10~),
 libavcodec-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libswscale-dev (>= 6:10~),
 pkg-config
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/avbin/
Vcs-Git: git://github.com/astraw/avbin-debian.git
Vcs-Browser: http://github.com/astraw/avbin-debian/tree/master

Package: libavbin0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: cross-platform media decoding library
 AVbin is a thin wrapper around FFmpeg, providing binary compatibility
 for applications and languages that need it.
 .
 FFmpeg is a collection of audio and video codecs widely used in
 projects such as mplayer, xine, GStreamer and VLC. It is under
 continuous development; so much so that its developers rarely provide
 a release, and SVN snapshots of the library must be statically linked
 to avoid version incompatibilities.

Package: libavbin-dev
Section: libdevel
Architecture: any
Depends:
 libavbin0 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libavbin
 AVbin is a thin wrapper around FFmpeg, providing binary compatibility
 for applications and languages that need it.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavbin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --sourcedirectory debian/build

=== debian/watch ===
version=3
http://code.google.com/p/avbin/ http://avbin.googlecode.com/files/avbin-src-([\d\.]*).tar.gz
